Eclipse Tomcat配置Web项目

现在越来越感到jee版本要求越来越高,我最顺手的myeclipse6 渐渐会碰到越来越多的兼容问题,是时候改用高版本eclipse了。

以前用WASD6来开发,最要命的就是部署web,那个真是没有myeclipse的发布方便。

这个eclipse里的WTP似乎就是WASD里面得东西(Eclipse本身就是IBM贡献的),特不好用。

这次记一下,以免忘记了。

配置Tomcat我就不细说了,在servers中New一个,这个简单。

主要是添加web项目属性:

Snap2

注意选择版本,可看到上图中的警告,web mudule3.0需要jdk6以上。

再就是,web根目录默认是WebContent,这个似乎是和WSAD一样的。我还没试过哪里可以改这个选项。

然后就可以通过Servers里面配置的Tomcat来Publish,Start,Stop项目了。

这里Tomcat运行的目录并不是Tomcat安装目录下的webapps,而在Eclipse工作区

/.metadata/.plugins/org.eclipse.wst.server.core/tmp0/wtpwebapps 中

 

参见:

http://www.cnblogs.com/jspace/archive/2011/04/04/2004947.html

http://blog.csdn.net/suixingbugai/article/details/6238526


Total views.

© 2013 - 2018. All rights reserved.

Powered by Hydejack v6.6.1